rancid-cvs(1)

NAME
rancid-cvs - initialize CVS, Subversion or git and rancid group files and directories

SYNOPSIS
rancid-cvs [-V] [-f config_file] [group [group ...]]

DESCRIPTION
rancid-cvs creates the directories and router.db(5) for each rancid group and handles the revision control system (CVS, Subversion or git) set-up in the location defined by the CVSROOT in rancid.conf(5). It must be run after the initial installation and whenever a rancid group is added. If CVSROOT is a URL, rancid-cvs will not initialize the repository, the user must do this themselves.

rancid-cvs reads rancid.conf(5) to configure itself, then proceeds with the initialization. First of the CVS, Subversion or git repository, if necessary, and then for each of the rancid groups listed on the command-line or those in the variable LIST_OF_GROUPS from rancid.conf(5), if the argument is omitted.

Running rancid-cvs for groups which already exist will not cause problems. If the group's directory already exists, the import into the revision control system will be skipped, and if it's router.db(5) already exists, it will not be altered.

The command-line options are as follows:

-V  Prints package name and version strings.

-f group_config_file
    Specify an alternative rancid.conf. The global rancid.conf file is read by rancid-run.

The best method for adding groups is by adding the group name to LIST_OF_GROUPS in rancid.conf(5), then run rancid-cvs. Do not create the directories manually, allow rancid-cvs to do it.

SEE ALSO
cvs(1), git(1), rancid.conf(5), router.db(5), svn(1)

CAVEATS
In the case of git, the groups are not exactly imported into the repository, rather a new repository is created for it, due to the way that git handles, what it calls, sparse checkouts. Instead, each group is a separate repository under the CVSROOT directory.